package com.example.courseworkkotlin

import android.content.Intent
import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import com.example.courseworkkotlin.databinding.ActivityTestsBinding

class Tests : AppCompatActivity() {
    private lateinit var binding: ActivityTestsBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityTestsBinding.inflate(layoutInflater)
        setContentView(binding.root)

        binding.buttonTemper.setOnClickListener { startActivity(Intent(this, Temper::class.java)) }
        binding.buttonProfile.setOnClickListener { startActivity(Intent(this, Instruction::class.java)) }
        binding.buttonMBTI.setOnClickListener { startActivity(Intent(this, MBTI::class.java)) }

        binding.home.setOnClickListener { startActivity(Intent(this, HomeScreen::class.java)) }
    }
}